package cn.stylefeng.team.portal.modular.front.service;

import cn.stylefeng.team.portal.modular.front.entity.PortalCalendar;
import cn.stylefeng.team.portal.modular.front.pojo.request.PortalCalendarRequest;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

public interface PortalCalendarService extends IService<PortalCalendar> {

    void add(PortalCalendarRequest portalCalendarRequest);

    void del(PortalCalendarRequest portalCalendarRequest);

    void batchDelete(PortalCalendarRequest portalCalendarRequest);

    void edit(PortalCalendarRequest portalCalendarRequest);

    PortalCalendar detail(PortalCalendarRequest portalCalendarRequest);

    Map<String, List<PortalCalendar>> findList(PortalCalendarRequest portalCalendarRequest);

}
